# Microsoft Azure IoT Starter Kit Companion CLI

The **Microsoft Azure IoT Starter Kit Companion CLI** is a sample
command line application that helps you get your IoT device connected
to an IoT Hub.

## Features

The **Microsoft Azure IoT Starter Kit Companion CLI** will help you:

* Connect your IoT device to a wireless network with Internet access.
* Provision resources such as an IoT Hub and IoT Device in Azure.
* Install and configure the IoT Edge Runtime on your IoT device as appropriate.


## Getting Started

### Prerequisites

- Requires Python 2, or 3
- Requires the [Microsoft Azure CLI 2.0](https://github.com/Azure/azure-cli)
- Requires the [Microsoft Azure IoT Extension for Azure CLI 2.0](https://github.com/Azure/azure-iot-cli-extension)


### Installation

The easiest way to install the Microsoft Azure IoT Starter Kit Companion CLI is using [pip](https://pypi.org/project/pip/):

- `pip install azure-iot-starterkit-cli`


### Quickstart
Getting a development environment up and running so that you can contribute fixes is easy:

1. `git clone https://github.com/Azure-Samples/azure-iot-starterkit-cli.git`
2. `cd azure-iot-starterkit-cli`
3. `pip install --editable .`


## Videos
The follow videos show how to get started with the CLI:

- Using the CLI to set up and configure a [Grove Starter Kit for Azure IoT Edge](https://iotcompanionapp.blob.core.windows.net/videos/configure-device.mp4).
- Using the CLI to set up and configure an [Azure teXXmo IoT button](https://iotcompanionapp.blob.core.windows.net/videos/configure-button.mp4).


## Additional Resources

- Detailed documentation on how to use the CLI to provision your IoT Edge device can be found [here](https://github.com/Azure-Samples/azure-iot-starter-kits/blob/master/seeed/CONFIG-EDGE-DEVICE.md).

## Contributing

This project welcomes contributions and suggestions.  Most
contributions require you to agree to a Contributor License Agreement
(CLA) declaring that you have the right to, and actually do, grant us
the rights to use your contribution. For details, visit
https://cla.microsoft.com.

When you submit a pull request, a CLA-bot will automatically determine
whether you need to provide a CLA and decorate the PR appropriately
(e.g., label, comment). Simply follow the instructions provided by the
bot. You will only need to do this once across all repos using our
CLA.

This project has adopted the [Microsoft Open Source Code of Conduct](https://opensource.microsoft.com/codeofconduct/).
For more information see the [Code of Conduct FAQ](https://opensource.microsoft.com/codeofconduct/faq/)
or contact [opencode@microsoft.com](mailto:opencode@microsoft.com) with any
additional questions or comments.
